PROBE::NFS.PROC.(3stap)

NAME
probe::nfs.proc.write - NFS client synchronously writes file to server

SYNOPSIS

nfs.proc.write

VALUES

flags
    used to set task->tk_flags in rpc_init_task function

size
    read bytes in this execution

server_ip
    IP address of server

offset
    the file offset

bitmask1
    V4 bitmask representing the set of attributes supported on this filesystem

version
    NFS version

bitmask0
    V4 bitmask representing the set of attributes supported on this filesystem

prot
    transfer protocol

DESCRIPTION

All the nfs.proc.write kernel functions were removed in kernel commit 200baa in December 2006, so these probes do not exist on Linux 2.6.21 and newer kernels.

SEE ALSO
tapset::nfs_proc(3stap)